<!DOCTYPE html>
<html>
<head><title>Informationen zur HTTP-Anforderung</title></head>
<body>
<h1>Informationen zur HTTP-Anforderung</h1>
<h2>Angaben zur Bindung</h2>
<ul>
<?php
function printServerVar($text, $parameter)
{
    echo "<li>$text ($parameter): ";
    if (isset($_SERVER[$parameter])) {
        echo '"', htmlspecialchars($_SERVER[$parameter]), '"';
    }
    else {
        echo '--nicht gesetzt';
    }
    echo "</li>\n";
}
printServerVar('Servername', 'SERVER_NAME');
printServerVar('Port', 'SERVER_PORT');
printServerVar('Protokoll', 'SERVER_PROTOCOL');
printServerVar('Sichere Verbindung', 'HTTPS');
?>
</ul>
<h2>Angaben zur URL</h2>
<ul>
<?php
printServerVar('URL der Anforderung', 'REQUEST_URI');
printServerVar('Abfragezeichenfolge', 'QUERY_STRING');
printServerVar('URL-Pfad des Skripts inkl. Subpfad', 'PHP_SELF');
printServerVar('URL-Pfad des Skripts', 'SCRIPT_NAME');
printServerVar('Subpfad', 'PATH_INFO');
printServerVar('Ursprüngliche Pfadinformation', 'ORIG_PATH_INFO');
printServerVar('Hat URL-Umschreibung stattgefunden?', 'IIS_WasUrlRewritten');
printServerVar('Ursprüngliche URL', 'HTTP_X_ORIGINAL_URL');
printServerVar('Nicht dekodierte URL', 'UNENCODED_URL');
?>
</ul>
<h2>Angaben zum Skript</h2>
<ul>
<?php
printServerVar('Stammordner', 'DOCUMENT_ROOT');
printServerVar('Physikalischer Pfad der IIS-Anwendung', 'APPL_PHYSICAL_PATH');
printServerVar('Physikalischer Pfad des Skripts', 'SCRIPT_FILENAME');
printServerVar('Physikalischer Pfad inkl. Subpfad', 'PATH_TRANSLATED');
echo '<li>__FILE__-Konstante: ', __FILE__, '</li>';
echo '<li>__DIR__-Konstante: ', __DIR__, '</li>';  // erst ab PHP 5.3
?>
</ul>
</body>
</html>
