<!DOCTYPE html>
<html>
<head>
    <title>Adventure Works : Produkte</title>
    <style type="text/css">
        th { font-size: 110%; border-bottom: 2px solid black; }
        td { padding: 3px; border-bottom: 1px solid #aaa }
    </style>
</head>
<body>
<h1>Adventure Works : Produkte</h1>
<?php
require './utils.php';
// Verbinden über Windows-Authentifizierung
$server = '(local)';
$connectionInfo = array('Database' => 'AdventureWorksLT2008', 'CharacterSet' => 'UTF-8');
$db = sqlsrv_connect($server, $connectionInfo);
if ($db === false) {
    exitWithSQLError('Datenbankverbindung fehlgeschlagen');
}
// Produkte mit Namen, Listenpreis und Kategorie auswählen
$query = "SELECT p.ProductID, p.Name AS ProductName, p.ListPrice, pc.Name as CategoryName
          FROM SalesLT.Product AS p
          JOIN SalesLT.ProductCategory AS pc ON p.ProductCategoryID = pc.ProductCategoryID
          ORDER BY p.Name";
// Abfrage ausführen
$qresult = sqlsrv_query($db, $query);
if ($qresult === false) {
    exitWithSQLError('Abfrage der Produktdaten fehlgeschlagen.');
}
echo '<tr><th>ID</th><th>Produkt</th><th>Kategorie</th><th>Listenpreis</th></tr>';
// Einzelne Zeilen des Ergebnisses auslesen
while ($row = sqlsrv_fetch_array($qresult)) {
    echo '<tr><td>', htmlspecialchars($row['ProductID']),
         '</td><td>', htmlspecialchars($row['ProductName']),
         '</td><td>', htmlspecialchars($row['CategoryName']),
         '</td><td>', htmlspecialchars($row['ListPrice']),
         "</td></tr>\n";
}
// null == keine weiteren Zeilen mehr, false == Fehler
if ($row === false) {
    exitWithSQLError('Abfruf von Produktdateneintrag fehlgeschlagen.');
}
// Ergebnisliste freigeben und Verbindung schließen
sqlsrv_free_stmt($qresult);
sqlsrv_close($db);
?>
</body>
</html>
