<?php
/**
 * Programm beenden, Fehlermeldung von SQL Server ausgeben
 * @param string $txt Beschreibung des Fehlerkontexts
 */
function exitWithSQLError($txt)
{
    $errors = sqlsrv_errors();
    echo '<h1>Datenbankfehler</h1>', "<p>Fehler: $txt</p>";
    foreach ($errors as $error) {
        echo '<p><b>SQL-Status:</b> ', htmlspecialchars($error['SQLSTATE']), '<br />',
             '<b>Code:</b> ', htmlspecialchars($error['code']), '<br />',
             '<b>Meldung</b>: ',
             // Fehlermeldungen werden im ISO-8859-1-Format übertragen
             htmlspecialchars(iconv('ISO-8859-1', 'UTF-8', $error['message'])),
             '</p>';
    }
    echo '<p>Programm mit Fehlern beendet.</p>';
    exit;
}
?>
