<?php
namespace net\xmp\phpbuch;
require './DatabaseConnection.php';
require './HTMLPage.php';
require './search_products_db.php';

$html = new HTMLPage('AdventureWorks : Produktsuche');
$form = <<<EOF
<form action="" method="get">
Produktname: <input name="produkt" />
<input type="submit" value="Suchen" />
</form><br />
EOF;
$html->addHTML($form);
if (isset($_GET['produkt'])) {
    $name = sanitizeName($_GET['produkt']);
    $products = getProductsByName($name);
    if ($products) {
        $html->addTable($products);
    }
    else {
        $html->addElement('p', 'Keine Produkte gefunden.');
    }
}
$html->printPage();
exit;

/**
 * Zeichenfolge auf richtige Codierung prüfen und 
 * verbotene Zeichen ausfiltern
 */
function sanitizeName($txt)
{
    if (!mb_check_encoding($txt, 'UTF-8')) {
        die('Fehlerhafte Zeichencodierung bei Eingabewert.');
    }
    mb_regex_encoding('UTF-8');
    return mb_ereg_replace("[^-[:alnum:]', ]", '', $txt);
}
?>
