<?php
namespace net\xmp\phpbuch;

/**
 * Abfrage aller Produkte, deren Name mit $name anfängt.
 * @return array Daten für die HTML-Tabelle
 */
function getProductsByName($name)
{
    $db = new DatabaseConnection();
    $db->connect();
    // Produkte mit Namen und Listenpreis auswählen
    $query = 'SELECT ProductID, Name, ListPrice
              FROM SalesLT.Product WHERE Name LIKE ?
              ORDER BY Name';
    $params = array($name . '%');
    // Abfrage ausführen
    $stmt = sqlsrv_query($db->handle, $query, $params);
    if ($stmt === false) {
        $db->exitWithError('Abfrage der Produktdaten fehlgeschlagen.');
    }
    if (!sqlsrv_has_rows($stmt)) {
        return false;   // keine Treffer in Datenbank (leeres Ergebnis)
    }
    // Einzelne Zeilen des Ergebnisses auslesen
    $table = array( array('ID', 'Produkt', 'Listenpreis') );
    while ($row = sqlsrv_fetch_array($stmt)) {
        $table[] = array($row['ProductID'], $row['Name'],
                         $row['ListPrice']);
    }
    // null == keine weiteren Zeilen mehr, false == Fehler
    if ($row === false) {
        $db->exitWithError('Abfruf von Produktdateneintrag fehlgeschlagen.');
    }
    sqlsrv_free_stmt($stmt);
    $db->close();
    return $table;
}
?>
