<?php
namespace net\xmp\phpbuch;
require './DatabaseConnection.php';
require './HTMLPage.php';
require './update_salesorder_db.php';

// Fix definiert für Demonstrationszwecke
$updateOrderHeader = 71915;
$updateOrders = array( array(113089, 6, 0.10), array(113090, 1, 0.0),
                       array(113091, 10, 0.20), array(113093, 3, 0.035) );
$html = new HTMLPage('AdventureWorks : Korrektur Bestellmengen und Rabatt');
$db = new DatabaseConnection();
$db->connect();
$orders = new UpdateOrders($db);
// Daten vor Aktualisierung auslesen und anzeigen
$before = $orders->getByHeader($updateOrderHeader);
$html->addHTML('<div style="position:absolute;top:4em">');
$html->addElement('h2', 'Vor Aktualisierung');
$html->addTable($before);

// Abfrage vorbereiten und mehrfach ausführen
$orders->prepare();
foreach ($updateOrders as $order) {
    list($id, $qty, $discount) = $order;
    $orders->update($id, $qty, $discount);
}
$orders->free();

// Daten nach Aktualisierung auslesen und anzeigen
$after = $orders->getByHeader($updateOrderHeader);
$html->addHTML('</div><div style="position:absolute;top:4em;left:15em">');
$html->addElement('h2', 'Nach Aktualisierung');
$html->addTable($after);
$html->addHTML('</div>');
$db->close();
$html->printPage();
?>
