<?php
namespace net\xmp\phpbuch;
require './DatabaseConnection.php';
require './HTMLPage.php';
require './search_products_db.php';

$html = new HTMLPage('AdventureWorks : Produktsuche');
$form = <<<EOF
<form action="" method="get">
Produktname: <input name="produkt" />
<input type="submit" value="Suchen" />
</form><br />
EOF;
$html->addHTML($form);
if (isset($_GET['produkt'])) {
    $name = sanitizeName($_GET['produkt']);
    $products = getProductsByName($name);
    if ($products) {
        addImageColumn($products);
        $html->addTable($products, array(false, false, false, true));
    }
    else {
        $html->addElement('p', 'Keine Produkte gefunden.');
    }
}
$html->printPage();
exit;

function sanitizeName($txt) { ... } // gleich wie vorher

/**
 * Fügt Tabelle eine Spalte mit Produktphoto hinzu
 */
function addImageColumn(&$products)
{
    $products[0][] = 'Abbildung';
    for ($i=1; $i < count($products); $i++) {
        $products[$i][] = '<img src="get_image.php?id='
                          . $products[$i][0]
                          . '" alt="Produktabbildung" />';
    }
}
?>
