ï»¿<?php
namespace net\xmp\phpbuch;
require './DatabaseConnection.php';
require './HTMLPage.php';

$html = new HTMLPage('AdventureWorks : Produktphoto hochladen');
$form = <<<'EOF'
<form action="" enctype="multipart/form-data" method="post">
ProduktID: <input name="productID" /><br />
Datei: <input type="file" name="productPhoto" /><br />
<input type="submit" value="Hochladen" />
</form><br />
EOF;
$html->addHTML($form);
if (isset($_POST['productID'])) {
    // Mit Datenbank verbinden
    $db = new DatabaseConnection();
    $db->connect();
    // Abfrage vorbereiten
    $query = 'UPDATE SalesLT.Product
              SET ThumbNailPhoto = ?, ThumbnailPhotoFileName = ?
              WHERE ProductID = ?';
    $id = (int) $_POST['productID'];
    $filename = filter_var($_FILES['productPhoto']['name'],
                           FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
    // Datei Ã¶ffnen
    $file = fopen($_FILES['productPhoto']['tmp_name'], 'rb');
    // Kodierung und Datentyp setzen
    $params = array(array($file, null, SQLSRV_PHPTYPE_STREAM(SQLSRV_ENC_BINARY),
                                       SQLSRV_SQLTYPE_VARBINARY('MAX')),
                    $filename, $id);
    $stmt = sqlsrv_query($db->handle, $query, $params);
    // Datei schlieÃen
    fclose($file);
    if ($stmt === false) {
        $db->exitWithError('Hochladen von Photo fehlgeschlagen.');
    }
    if (sqlsrv_rows_affected($stmt) != 1) {
        $db->exitWithError('Falsche ID angegeben?');
    }
    $html->addElement('p', 'Hochladen erfolgreich.');
    // Datenbankverbindung schlieÃen
    sqlsrv_free_stmt($stmt);
    $db->close();
}
$html->printPage();
?>
