<?php
namespace net\xmp\phpbuch;

require './HTMLPage.php';
require './LDAPConnection.php';
$html = new HTMLPage('LDAP-Benutzersuche');

// Verbindung herstellen
$ad = new LDAPConnection();
$ad->connect('dc.xmp.site', 'arno@xmp.site', 'streng-geheim');
// Suchanfrage ausgehend von Users
$baseDN = "CN=users,DC=xmp,DC=site";
// Filter sucht nach Personobjekten, die ein Attribut userPrincipalName haben
$filter = "(&(objectcategory=Person)(userPrincipalName=*))";
// Definition der auszulesenden Attribute
$attributes = array('name', 'userPrincipalName', 'sAMAccountName');
// Suche starten
$qresult = ldap_search($ad->handle, $baseDN, $filter, $attributes);
if (!$qresult) {
    $ad->exitWithError('LDAP-Suche fehlgeschlagen.');
}
// Einträge auslesen ...
$entries = ldap_get_entries($ad->handle, $qresult);
if (!$entries) {
    $ad->exitWithError('Lesen der LDAP-Suchergebnisse fehlgeschlagen.');
}
// ... und in Tabelle schreiben
$table = array( array('Name', 'Prinzipal', 'DN', 'Kontoname') );
for ($i=0; $i < $entries['count']; $i++) {
    $table[] = array($entries[$i]['name'][0], $entries[$i]['userprincipalname'][0],
                     $entries[$i]['dn'], $entries[$i]['samaccountname'][0]);
}
$html->addTable($table);

// Resultat freigeben, Verbindung schließen
ldap_free_result($qresult);
$ad->close();
$html->printPage();
?>
