/**
 * Liest einen einzelnen Suchtreffer aus und 
 * formatiert ihn für die Ausgabe
 */
function listSingleEntry($ad, $result, $class)
{
    $entry = ldap_first_entry($ad->handle, $result);
    if (!$entry) {
        $ad->exitWithError('Lesen des LDAP-Eintrages fehlgeschlagen.');
    }
    $attr = ldap_get_attributes($ad->handle, $entry);
    $ef = new LDAPEntryFormatter($attr, $class, 'browse_ldap.php');
    $table = $ef->getAttributes();
    $title = $class . ': ' . ldap_get_dn($ad->handle, $entry);
    return array($title, $table);
}
?>
