/**
 * Konvertiert GUID von Binärform zu Zeichenfolge
 * @param string $guid Binäre GUID
 */
function guid2str($guid)
{
    $last = substr(bin2hex($guid), 20);
    $x = unpack('Vhead/v2mid/nmid3', $guid);
    return sprintf("%08x-%04x-%04x-%04x-%s", $x['head'], $x['mid1'],
                                             $x['mid2'], $x['mid3'], $last);
}

/**
 * Konvertiert GUID von Zeichenfolge zu Binärform
 * @param string $guidstr GUID als Zeichenfolge
 */
function str2guid($guidstr)
{
    $v = explode('-', $guidstr);
    return pack('VvvnH*', hexdec($v[0]), hexdec($v[1]), hexdec($v[2]),
                          hexdec($v[3]), $v[4]);
}
