<?php
/* Vollständig zusammengesetztes Listing */
namespace net\xmp\phpbuch;

class LDAPEntryFormatter
{
    protected $attr;
    protected $type;
    protected $url;

    function __construct($attributes, $type, $url)
    {
        $this->attr = $attributes;
        $this->type = $type;
        $this->url = $url;
    }

    /**
     * Gibt Attribute des LDAP-Eintrages in einem Array
     * passend für HTMLPage->addTable() zurück
     */
    function getAttributes()
    {
        global $attributeConvertion;
        
        $table = array( array('Attribut', 'Wert') );
        for ($i = 0; $i < $this->attr['count']; $i++) {
            $attr = $this->attr[$i];
            $link = isset($attributeConvertion[$attr])
                  ? $attributeConvertion[$attr] : false;
            $table[] = array($this->link($attr,'attributeSchema'),
                             $this->getValue($attr, $link));
        }
        return $table;
    }

    /**
     * Gibt Werte eines Attributes in verlinkter und konvertierter
     * Form zurück
     */
    function getValue($name, $link=false)
    {
        if (!($cnt = $this->attr[$name]['count'])) {
            return '(empty)';
        }
        if ($cnt == 1) {
            return $this->link($this->attr[$name][0], $link);
        }
        $val = "($cnt) ";
        for ($i = 0; $i < $cnt; $i++) {
            $val .= $this->link($this->attr[$name][$i], $link) . '; ';
        }
        return $val;
    }

    /**
     * Verlinkt einen einzelnen Attributwert
     */
    function link($value, $link=false)
    {
        $txt = htmlspecialchars($value);
        // Keine Angaben -> Klartext
        if ($link === false) {
            return $txt;
        }
        // Existiert Konvertierungsfunktion?
        elseif (function_exists('net\\xmp\\phpbuch\\'.$link)) {
            $func = 'net\\xmp\\phpbuch\\'.$link;
            return htmlspecialchars($func($value));
        }
        // Sonst handelt es sich um Objektklasse
        else {
            $getdn = '';
            if (substr($link, 0, 3) === 'DN-') {
                $link = substr($link, 3);
                $getdn = '&amp;getDN=1';
            }
            return "<a href='" . $this->url . '?name=' . rawurlencode($value)
                   . "&amp;type=$link$getdn'>$txt</a>";
        }
    }
}
?>
