<?php
namespace net\xmp\phpbuch;

require './HTMLPage.php';
require './LDAPConnection.php';
require './browse_ldap_types.php';
require './LDAPEntryFormatter.php';
require './AD_util.php';
// Änderungsskript laden
require './________.php';

$html = new HTMLPage('Schreiben in Active Directory ');
// Verbindung herstellen
$ad = new LDAPConnection();
$ad->connect('dc.xmp.site', 'administrator@xmp.site', 'streng-geheim');
$ad->baseDN = 'DC=xmp,DC=site';

// Änderungen durchführen
$before = $ad->getAccount($accountName, $attributes);
modify($ad, $before);
$after= $ad->getAccount($accountName, $attributes);

// und ausgeben
$table = formatChangedEntry($before, $after);
$html->addElement('h2', $before['dn']);
$html->addTable($table, array(true, true, true));
$html->printPage();

function formatChangedEntry($beforeEntry, $afterEntry)
{
    // Einträge formatieren
    $bf = new LDAPEntryFormatter($beforeEntry, 'object');
    $beforeHTML = $bf->getAttributes();
    $af = new LDAPEntryFormatter($afterEntry, 'object');
    $afterHTML = $af->getAttributes();
    // Einträge zusammenführen
    $values = array();
    for ($i=1; $i<count($beforeHTML); $i++) {
        $values[$beforeHTML[$i][0]]['before'] = $beforeHTML[$i][1];
    }
    for ($i=1; $i<count($afterHTML); $i++) {
        $values[$afterHTML[$i][0]]['after'] = $afterHTML[$i][1];
    }
    $table = array( array('Attribut', 'Vorher', 'Nachher') );
    $notset = '<i>nicht gesetzt</i>';
    foreach ($values as $attribute => $value) {
        $before = isset($value['before']) ? $value['before'] : $notset;
        $after = isset($value['after']) ? $value['after'] : $notset;
        $table[] = array($attribute, $before, $after);
    }
    return $table;
}
?>
