<?php
namespace net\xmp\phpbuch;
require './ExchangeSoapClient.php';
require './HTMLPage.php';

$options = array('login' => 'manfred', 'password'=>'streng-geheim',
                 'CACert' => './my-ca.cer');
$client = new ExchangeSoapClient('./Services.wsdl', $options);
$header = array ('Version' => 'Exchange2010');
$reqver = new \SoapHeader(ExchangeSoapClient::TYPES_NS, 'RequestServerVersion', $header);
$client->__setSoapHeaders($reqver);

$id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
$key = filter_input(INPUT_GET, 'changekey', FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
$param = array('ItemShape' => array('BaseShape' => 'Default',
                                    'BodyType' => 'HTML',
                                    'FilterHtmlContent' => true),
               'ItemIds' => array('ItemId' => array('Id' => $id, 'ChangeKey' => $key))
);
$response = $client->GetItem($param);
$msg = $response->ResponseMessages->GetItemResponseMessage->Items->Message;

$page = new HTMLPage('E-Mail');
$table = array( array('Feld', 'Inhalt') );
$table[] = addMailboxField('Von', $msg->From->Mailbox);
$table[] = addMailboxField('An', $msg->ToRecipients->Mailbox);
$table[] = addStringField('Betreff', $msg->Subject);
$table[] = addStringField('Gesendet um', $msg->DateTimeSent);
$table[] = addStringField('Größe', $msg->Size);
$table[] = addBooleanField('Anhänge vorhanden', $msg->HasAttachments);
$table[] = addBooleanField('Lesebestätigung erforderlich', $msg->IsReadReceiptRequested);
$table[] = array('Inhalt', $msg->Body->_);
$page->addTable($table, array(false, true));
$page->printPage();

function addStringField($name, $value)
{
    return array($name, htmlspecialchars($value));
}

function addBooleanField($name, $value)
{
    return array($name, $value ? 'Ja' : 'Nein');
}

function addMailboxField($name, $value)
{
    $value = htmlspecialchars($value->Name . ' <' . $value->EmailAddress . '>');
    return array($name, $value);
}
?>
