<?php
namespace net\xmp\phpbuch;
require './ExchangeSoapClient.php';
require './HTMLPage.php';
require './Mailbox.php';

$page = new HTMLPage('Besprechung anlegen');
try {
    $param = getMeetingParameters();
    $options = array('login' => 'agnes', 'password'=>'streng-geheim', 'CACert' => './my-ca.cer');
    $client = new ExchangeSoapClient('./Services.wsdl', $options);
    $client->CreateItem($param);
    $page->addElement('p', 'Besprechung wurde angelegt.');
}
catch (\Exception $e) {
    $page->addElement('h2', 'Fehler (Exception)');
    $page->addElement('p', $e);
}
$page->printPage();

function getMeetingParameters()
{
    $param = array('SendMeetingInvitations' => 'SendOnlyToAll',
        'Items' => array('CalendarItem' => array(
            'Subject' => getValue('subject'),
            'Start' => getValue('start') . 'T' . getValue('startT') . ':00',
            'End' => getValue('end') . 'T' . getValue('endT') . ':00',
            'Location' => getValue('location'),
            'RequiredAttendees' => getAttendees('required'),
            'OptionalAttendees' => getAttendees('optional'),
            'Resources' => getAttendees('resource'))));
    return $param;
}

function getValue($name)
{
    if (!isset($_POST[$name])) {
        throw new \Exception('Eingabefeld "$name" nicht angegeben.');
    }
    return filter_input(INPUT_POST, $name, FILTER_UNSAFE_RAW, FILTER_FLAG_STRIP_LOW);
}

function getAttendees($name)
{
    if (!isset($_POST[$name]) || !is_array($_POST[$name])) {
        throw new \Exception('Eingabefeld "$name" nicht angegeben.');
    }
    $attendee = array();
    foreach ($_POST[$name] as $mail) {
        $email = trim(filter_var($mail, FILTER_SANITIZE_EMAIL));
        if (!empty($email)) {
            $attendee[] = array('Mailbox' => new Mailbox($email));
        }
    }
    if (!count($attendee)) {
        return null;
    }
    return array('Attendee' => $attendee);
}
?>
