<?php
namespace net\xmp\phpbuch;
require './ExchangeSoapClient.php';
require './HTMLPage.php';

$page = new HTMLPage('Besprechungseinladung ablehnen');
$options = array('login' => 'manfred', 'password' => 'streng-geheim', 'CACert' => './my-ca.cer');
$client = new ExchangeSoapClient('./Services.wsdl', $options);

// Posteingang durchsuchen
$param = array('Traversal' => 'Shallow',
               'ItemShape' => array('BaseShape' => 'IdOnly',),
               'ParentFolderIds' => array('DistinguishedFolderId' => array('Id'=>'inbox')));
$response = $client->FindItem($param);
// Besprechungseinladung auswählen
$item = $response->ResponseMessages->FindItemResponseMessage->RootFolder->Items->MeetingRequest;
$item = $item[0];   // wählt eine Einladung aus

// Ausgewählte Besprechungseinladung auslesen
$param = array('ItemShape' => array('BaseShape' => 'Default'),
    'ItemIds' => array('ItemId' => array('Id'=>$item->ItemId->Id,
                                         'ChangeKey'=>$item->ItemId->ChangeKey)));
$response = $client->GetItem($param);
$item = $response->ResponseMessages->GetItemResponseMessage->Items->MeetingRequest;

// Besprechungseinladung anzeigen
$table = array( array('Feld', 'Wert') );
$table[] = array('Betreff', $item->Subject);
$table[] = array('Beginn', $item->Start);
$table[] = array('Ende', $item->End);
$table[] = array('Ort', $item->Location);
$table[] = array('Organisator', $item->Organizer->Mailbox->Name);
$table[] = array('ItemID (vorher): ', splitString($item->ItemId->Id));
$table[] = array('CalendarItemID (vorher): ', splitString($item->AssociatedCalendarItemId->Id));
$page->addTable($table);

// Absage senden
$param = array('MessageDisposition' => 'SendOnly',
    'Items' => array( 'DeclineItem' => array(
        'ReferenceItemId' => array('Id' => $item->ItemId->Id,
                                   'ChangeKey' => $item->ItemId->ChangeKey),
                                   'Body' => array('BodyType' => 'Text',
                                                   '_' => 'Da muss ich meine Hamster füttern.'))));
$response = $client->CreateItem($param);

// Antwort ausgeben
$page->addElement('h2', 'SOAP-Antwortnachricht');
$items = $response->ResponseMessages->CreateItemResponseMessage->Items;
$table = array( array('Feld', 'Wert') );
$table[] = array('ItemID (nachher): ', splitString($items->MeetingRequest->ItemId->Id));
$table[] = array('CalendarItemID (nachher): ', splitString($items->CalendarItem->ItemId->Id));
$page->addTable($table);
$page->printPage();

// Hilfsfunktion: Leerzeichen einfügen, um Zeilenumbruch bei Darstellung zu ermöglichen
function splitString($str)
{
    return preg_replace('/(.{33})/', '$1 ', $str);
}
?>
