<?php
namespace net\xmp\phpbuch;
require './ExchangeSoapClient.php';
require './HTMLPage.php';

$options = array('login' => 'agnes', 'password' => 'streng-geheim',
                 'CACert' => './my-ca.cer', 'features' => SOAP_SINGLE_ELEMENT_ARRAYS);
$client = new ExchangeSoapClient('./Services.wsdl', $options);

// Termine im angegebenen Zeitraum suchen
$param = array('Traversal' => 'Shallow',
               'ItemShape' => array('BaseShape' => 'Default',),
               'CalendarView' => array(
                    'StartDate' => '2010-09-13T00:00:00',
                    'EndDate' => '2010-09-17T23:59:59'),
               'ParentFolderIds' => array('DistinguishedFolderId' => array('Id' => 'calendar')));
$response = $client->FindItem($param);

$page = new HTMLPage('Kalendersuche');
$items = $response->ResponseMessages->FindItemResponseMessage[0]->RootFolder->Items->CalendarItem;
showMeetings('Termine im gesuchten Zeitraum', $items, $page);

// Einen (beliebigen) Termin auswählen und benachbarte Termine und Konflikte anzeigen
$item = $items[2];
$param = array('ItemShape' => array('BaseShape' => 'Default',
    'AdditionalProperties' => array(
        'FieldURI' => array(
            array('FieldURI' => 'calendar:ConflictingMeetingCount'),
            array('FieldURI' => 'calendar:AdjacentMeetingCount'),
            array('FieldURI' => 'calendar:ConflictingMeetings'),
            array('FieldURI' => 'calendar:AdjacentMeetings')))),
    'ItemIds' => array(
        'ItemId' => array('Id' => $item->ItemId->Id, 'ChangeKey' => $item->ItemId->ChangeKey)));
$response = $client->GetItem($param);

$item = $response->ResponseMessages->GetItemResponseMessage[0]->Items->CalendarItem[0];
if ($item->ConflictingMeetingCount) {
    showMeetings('Konflikte', $item->ConflictingMeetings->CalendarItem, $page, false);
}
if ($item->AdjacentMeetingCount) {
    showMeetings('Benachbarte Termine', $item->AdjacentMeetings->CalendarItem, $page, false);
}
$page->printPage();

function showMeetings($name, $items, $page, $showType=true)
{
    $page->addElement('h2', $name);
    $table = array( array('Betreff', 'Start', 'Ende', 'Status') );
    if ($showType) {
        $table[0][] = 'Typ';
    }
    foreach ($items as $item) {
        $data = array($item->Subject, $item->Start, $item->End, $item->LegacyFreeBusyStatus);
        if ($showType) {
            $data[] = $item->CalendarItemType;
        }
        $table[] = $data;
    }
    $page->addTable($table);
}
?>
